window.Enum = {
Quality: {
White: 0,
Blue: 1,
Purple: 2,
Epic: 3
},
QualityColor: [],
LifeStatus: {
Created: 0,
Active: 1,
Die: 2,
Destroy: 3
},
RoleStatus: {
Idle: 0,
Runing: 1,
Attack: 2,
Fixed: 3,
OnFloor: 4,
Die: 5,
Destroy: 6,
Standby: 7
},
FixedType: {
Stiff: 0,
Fixed: 1,
Flying: 2,
FlyDown: 3,
LieDown: 4,
StandUp: 5,
Control: 6
},
Direction: {
Z: cc.v2(0, 0),
RU: cc.v2(.7, .7),
R: cc.v2(1, 0),
U: cc.v2(0, 1),
LU: cc.v2(-.7, .7),
L: cc.v2(-1, 0),
LD: cc.v2(-.7, -.7),
D: cc.v2(0, -1),
RD: cc.v2(.7, -.7)
},
AttackStatus: {
Idle: 0,
ReadyAttack: 1,
Attack: 2,
Stiff: 3
},
RunStatus: {
Idle: 0,
Runing: 1,
Flying: 2,
Fixed: 3
},
DBuffType: {
Null: 0,
Fixed: 1,
Vertigo: 2,
Frozen: 3,
Poison: 4,
Immune: 5,
RecoverHP: 6,
RecoverPower: 7
},
TowardType: {
Right: 0,
Left: 1
},
BulletType: {
Only: 0,
OneToOne: 1,
More: 2
},
RangeType: {
Near: 0,
Remote: 1,
Blend: 2
},
SkillReleaseType: {
Active: 0,
Passive: 1
},
EquipRegion: {
Helmet: 0,
Weapon: 1,
Armour: 2,
Gaiters: 3,
Gloves: 4,
Boots: 5,
Title: 6,
Skin: 7
},
IDMapping: {
Prop: 0,
Equip: 1,
Buff: 2,
Skill: 3,
EnemySkill: 4,
Gate: 5,
Enemy: 6
},
GameModel: {
Normal: 0,
Tower: 1
},
GameNeturalType: {
Oil: 0,
Bucket: 1,
Stone: 2
},
NeturlInjuredType: {
Invalid: 0,
Times: 1,
Blood: 2
},
Behavior: {
Idle: "发呆",
Move: "游走",
Near: "靠近",
Attack: "攻击"
},
Material: {
"布匹": "0100",
"铁片": "0101",
"恶魔之印": "0102",
"恶魔勋章": "0103",
"复活勋章": "0104",
"青铜钥匙": "0110",
"白银钥匙": "0111",
"铂金钥匙": "0112",
"钻石钥匙": "0113",
"勇气令牌": "0114",
"武器碎片": "0120",
"时装碎片": "0121"
},
TaskType: {
Kills: "101",
UsePower: "102",
Streng: "103",
Rebuild: "104",
UpSkill: "105",
Demon: "106",
Video: "107",
UpPack: "108"
},
TowerBuffType: {
DamageAddition: 2001,
injuredReduce: 2002,
HPMax: 2003,
HPAbsorb: 2004,
HPAdd: 2005,
HPIncrease: 2006,
SkilCD: 2007,
PowerIncrease: 2008,
PowerAdd: 2009
},
EnemyLevel: {
Normal: 0,
Senior: 1,
Elite: 2,
Boss: 3,
DemonBoss: 4
}
};