(function(t) {
"use strict";
var e = [], o = [], n = [], i = [], a = null, r = null, s = null, l = null, c = function() {
function t() {
this.defaultToolTipY = 0;
this.node = null;
this.loadingPage = null;
this.isEjectAnimate = !1;
this.node = cc.find("Canvas/UI");
this.loadingPage = cc.find("Canvas/ui-loadder");
}
t.prototype.showLoading = function(t) {
if (this.loadingPage) {
this.loadingPage.active = !0;
this.loadingPage.getComponentInChildren(cc.ProgressBar).progress = t;
this.loadingPage.getChildByName("percent").getComponent(cc.Label).string = Math.floor(100 * t) + "%";
}
return this.loadingPage;
};
t.prototype.hideLoading = function() {
this.loadingPage && (this.loadingPage.active = !1);
};
t.prototype._cleanup = function() {
e = [];
n = [];
this.node.removeAllChildren();
};
t.prototype.getChildren = function() {
return this.node.children;
};
t.prototype.tooltip = function(t, e, o) {
void 0 === e && (e = 2);
void 0 === o && (o = Infinity);
if (!s) {
var n = cc.find("Canvas/UI");
s = Global.Loader.getInstantiate("UI/ToolTip");
n.addChild(s, 99);
}
s.getComponentInChildren(cc.Label).string = t;
s.opacity = 255;
s.stopAllActions();
s.y = Infinity != o ? o : this.defaultToolTipY;
s.runAction(cc.sequence(cc.delayTime(.8 * e), cc.spawn(cc.moveBy(.2 * e, cc.v2(0, 40)), cc.fadeOut(.2 * e))));
};
t.prototype.alert = function(t) {
var e = {
title: t.title || "警告",
message: t.message || "警告文字",
isMask: t.isMask || !0,
okText: t.okText || "确 认",
closeText: t.closeText || "取 消",
hideClose: !!t.hideClose,
okFunction: t.okFunction || function() {},
closeFunction: t.closeFunction || function() {}
};
if (!l) {
l = Global.Loader.getInstantiate("UI/Alert");
cc.find("Canvas/UI").addChild(l, 99);
}
l.active = !0;
l.getComponent("UIAlert").setOptions(e);
};
t.prototype.addUI = function(t) {
var e = Global.Loader.getInstantiate(t);
this.node.addChild(e);
return e;
};
t.prototype.pushUI = function(t, o, n) {
void 0 === o && (o = null);
void 0 === n && (n = null);
e.push({
name: t,
script: o,
options: n
});
return this._updateWindow();
};
t.prototype.pushWindow = function(t, e, o) {
void 0 === e && (e = null);
void 0 === o && (o = null);
n.push({
name: t,
script: e,
options: o
});
return this._updateEject();
};
t.prototype.getAllWindow = function(t) {
return i.filter(function(e) {
return !t || e.name == t;
});
};
t.prototype.popUI = function() {
var t = o.length > 0 ? o[o.length - 1] : null;
if (t) {
e.pop();
var n = this;
t.emit("onExitWindowBegin");
this.isEjectAnimate = !0;
cc.tween(this.node).delay(.5).call(function() {
t.emit("onExitWindowEnd");
n.isEjectAnimate = !1;
n._updateWindow();
}).start();
o.pop();
Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, o);
var i = o.length > 0 ? o[o.length - 1] : null;
if (i) {
i.emit("onEnterWindowBegin");
i.emit("onWindowFocus");
a = i;
} else a = null;
}
};
t.prototype.popWindow = function(t) {
for (var e = i.length, o = function(o) {
if (!t || i[o] == t) {
var a = i[o];
a.emit("onExitWindowBegin");
cc.tween(n.node).delay(.3).call(function() {
a.emit("onExitWindowEnd");
Global.Log("popWindow end:", a.name);
}).start();
i.splice(o, 1);
Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, i);
o == e - 1 && i.length > 0 && (r = i[i.length - 1]).emit("onWindowFocus");
return {
value: !0
};
}
}, n = this, a = i.length - 1; a >= 0; a--) {
var s = o(a);
if ("object" == typeof s) return s.value;
}
return !1;
};
t.prototype.shiftUI = function(t) {
void 0 === t && (t = 0);
for (var n = o.length - 1; n >= t; ) {
var i = o.length > 0 ? o[n] : null;
if (!i) break;
e.splice(n, 1);
var a = this;
i.emit("onExitWindowBegin");
cc.tween(this.node).delay(.5).call(function() {
i.emit("onExitWindowEnd");
a._updateWindow();
}).start();
o.splice(n, 1);
n--;
}
};
t.prototype.shiftWindow = function(t) {
void 0 === t && (t = 0);
for (var e = i.length, o = i.length - 1; o >= t; o--) {
i[o].emit("onExitWindowBegin");
cc.tween(i[o]).delay(.03).call(function(t) {
t.emit("onExitWindowEnd");
Global.Log("popWindow end:", t.name);
}).start();
i.splice(o, 1);
o == e - 1 && i.length > 0 ? (r = i[i.length - 1]).emit("onWindowFocus") : r = null;
}
Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, i);
return !1;
};
t.prototype.postFocus = function() {
var t = o.length > 0 ? o[o.length - 1] : null;
t && t.emit("onWindowFocus");
};
t.prototype._updateWindow = function() {
if (0 == e.length) return null;
var t = e.pop();
this.isEjectAnimate = !0;
var o = Global.Loader.get(t.name);
if (!o) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "no found prefab:" + t.name);
return console.error("prefab:", t.name);
}
if (o instanceof cc.Prefab == 0) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "pushUI not Prefab:" + t.name);
return console.error("pushUI not Prefab:", t.name);
}
var n = cc.instantiate(o);
this.node.addChild(n);
this._addUIAnimate(n);
if (t.script && !t.options) {
t.options = t.script;
t.script = t.name.substring(t.name.lastIndexOf("/") + 1);
}
if (t.script && "string" == typeof t.script) {
if (t.options) {
var i = n.getComponent(t.script);
i && i.setOptions(t.options);
}
} else n.tss && n.tss && n.tss.setOptions && n.tss.setOptions(t.script);
a && a.emit("onLoseFocus");
a = n;
return n;
};
t.prototype._addUIAnimate = function(t) {
var e = this, n = null;
o.length > 0 && (n = o[o.length - 1]);
if (n) if (n._uimgrloadEnd) {
n.emit("onExitWindowBegin");
cc.tween(this.node).delay(.5).call(function() {
n.onExitWindowEnd && n.onExitWindowEnd();
n._uimgrloadEnd = !0;
e.isEjectAnimate = !1;
}).start();
} else {
n.emit("onExitWindowBegin");
e.isEjectAnimate = !1;
} else this.isEjectAnimate = !1;
cc.tween(this.node).delay(.01).call(function() {
t.emit("onEnterWindowBegin");
}).start();
o.push(t);
Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, o);
this._updateWindow();
};
t.prototype._updateEject = function() {
if (n.length > 0) {
r && r.emit("onLoseFocus");
var t = n.pop(), e = Global.Loader.get(t.name);
if (!e) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "no found prefab:" + t.name);
return console.error("no found prefab:", t.name);
}
if (e instanceof cc.Prefab == 0) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "pushWindow not Prefab:" + t.name);
return console.error("pushWindow not Prefab:", t.name);
}
var o = cc.instantiate(e);
cc.tween(this.node).delay(.01).call(function() {
o.emit("onEnterWindowBegin");
}).start();
r = o;
this.node.addChild(o, 10);
i.push(o);
Global.Event.emit(GlobalEvent.UI_WINDOW_CHANGE, i);
this._updateEject();
if (t.script && "string" == typeof t.script) {
if (t.options) {
var a = o.getComponent(t.script);
a && a.setOptions(t.options);
}
} else o.tss && o.tss && o.tss.setData && o.tss.setData(t.script);
return o;
}
return null;
};
return t;
}();
function d(t) {
var e = "";
for (var o in t) {
e && (e += "&");
e += o + "=" + t[o];
}
return e;
}
function h(t, e, o) {
try {
t && t(e, o);
} catch (t) {
console.error("Http dispatch:", t);
}
}
var u = function() {
function t() {
this.defaultUrl = "";
this._id = "";
this.token = "";
this.headers = [];
}
t.prototype.setOptions = function(t, e) {
this._id = t;
this.token = e;
};
t.prototype.setHeaders = function(t) {
this.headers = t;
};
t.prototype.loginGet = function(t) {
!t.data && (t.data = {});
if (this._id) {
t.data._id = this._id;
t.data.token = encodeURIComponent(this.token);
}
return this.get(t);
};
t.prototype.get = function(t) {
var e = {
path: t.path || "/client/ajax",
router: t.router || "",
data: t.data || {},
cb: t.cb || function() {},
url: t.url || this.defaultUrl,
reconnect: !!t.reconnect
};
t.router && (t.data.router = t.router);
var o = this, n = "" + e.url + e.path + "?" + d(e.data);
Global.Log("httpurl:", n);
var i = cc.loader.getXMLHttpRequest();
i.open("GET", n, !0);
var a = setTimeout(function() {
i.abort && i.abort();
}, 3e4);
i.onerror = function(t) {
e.reconnect ? setTimeout(function() {
o.get(e);
}, 1500) : h(e.cb, t, null);
};
i.onreadystatechange = function() {
if (4 === i.readyState) {
clearTimeout(a);
if (i.status >= 200 && i.status < 300) {
var t = null;
try {
t = JSON.parse(i.response);
} catch (t) {
h(e.cb, t, null);
cc.error("err:" + t);
return;
}
h(e.cb, null, t);
} else 500 == i.status && (e.reconnect ? setTimeout(function() {
o.get(e);
}, 1500) : h(e.cb, {
status: i.status
}, i.response));
}
};
i.send();
return i;
};
t.prototype.getUrl = function(t, e) {
var o = cc.loader.getXMLHttpRequest();
o.open("GET", t, !0);
for (var n = setTimeout(function() {
o.abort && o.abort();
}, 3e4), i = 0; this.headers.length && i < this.headers.length; i++) {
var a = this.headers[i];
o.setRequestHeader(a.key, a.value);
}
o.onerror = function(t) {
e(t);
};
o.onreadystatechange = function() {
if (4 === o.readyState) {
clearTimeout(n);
o.status >= 200 && o.status < 300 ? e(null, o.response) : 500 == o.status && e(o.status, o.response);
}
};
o.send();
return o;
};
t.prototype.PostUrl = function(t, e, o) {
var n = "http" == t.substring(0, 4) ? t : this.defaultUrl + t, i = cc.loader.getXMLHttpRequest();
i.open("POST", n, !0);
for (var a = 0; this.headers.length && a < this.headers.length; a++) {
var r = this.headers[a];
i.setRequestHeader(r.key, r.value);
}
var s = setTimeout(function() {
i.abort && i.abort();
}, 3e4);
i.onreadystatechange = function() {
if (4 == i.readyState && i.status >= 200 && i.status <= 300) {
clearTimeout(s);
o(i.response);
}
};
var l = JSON.stringify(e);
console.log("PostUrl data:", n, l);
i.send(l);
};
return t;
}(), p = {}, f = {}, v = {}, g = function() {
function t() {
this.ResCfg = {};
}
t.prototype.init = function(t) {
this.ResCfg = t;
};
t.prototype.loadBundle = function(t, e, o) {
void 0 === o && (o = null);
if (v[t]) return e && e(v[t]);
var n = this;
cc.assetManager.loadBundle(t, function(i, a) {
if (i) {
console.error("bundle:" + t + " load fail");
setTimeout(function() {
n.loadBundle(t, e, o);
}, 2e3);
} else {
v[t] = a;
n.ResCfg[t] ? n.loadBundleRes(t, n.ResCfg[t], e, o) : e(a);
}
});
};
t.prototype.loadBundleRes = function(t, e, o, n) {
void 0 === n && (n = null);
if (!v[t]) return cc.error("this bundle not load:", t, ",please use loadBundle");
v[t].load(e, cc.Prefab, n, function(n, i) {
if (n) console.error(t + " bundle load fail:", n); else {
for (var a = 0; a < i.length; a++) p[e[a]] = i[a];
o && o(v[t], i);
}
});
};
t.prototype.loadBundleDir = function(t, e, o, n) {
void 0 === n && (n = null);
if (!v[t]) return cc.error("this bundle not load:", t, ",please use loadBundle");
var i = e.length ? e + "/" : "/";
v[t].loadDir(e || "/", cc.Prefab, n, function(e, n) {
if (e) console.error(t + " bundle load fail:", e); else {
for (var a = 0; a < n.length; a++) p[i + n[a].name] = n[a];
o && o(v[t], n);
}
});
};
t.prototype.loadResources = function(t, e, o) {
void 0 === o && (o = null);
f[t] ? e(f[t]) : this.loadResourcesArray(this.ResCfg[t], function(o) {
f[t] = o;
e(o);
}, o);
};
t.prototype.loadResourcesArray = function(t, e, o) {
var n = this;
cc.loader.loadResArray(t, cc.Prefab, o, function(i, a) {
if (i) {
cc.error(i);
cc.error("Failed to load resource group. Try again in two seconds!");
setTimeout(function() {
n.loadResourcesArray(t, e, o);
}, 2e3);
} else {
for (var r = 0; r < a.length; r++) p[t[r]] = a[r];
e && e(a);
}
});
};
t.prototype.addPrefab = function(t, e) {
t && e ? p[t] = e : cc.warn("null prefab");
};
t.prototype.releaseResUrl = function(t) {
cc.loader.releaseRes(t, cc.Prefab);
delete p[t];
};
t.prototype.get = function(t) {
if (p[t]) return p[t];
if (-1 == t.indexOf("/")) {
var e = t.split("/"), o = e[e.length - 1];
for (var n in p) if (n.lastIndexOf(o) >= 0) return p[n];
} else console.error("no find url:", t);
return null;
};
t.prototype.getInstantiate = function(t) {
return cc.instantiate(this.get(t));
};
t.prototype.loadResourcesImage = function(t, e, o) {
t && "" != t && cc.loader.loadRes(t, cc.SpriteFrame, function(t, n) {
if (!t && e && e.node) {
e.spriteFrame = n;
o && o(t, n);
}
});
};
t.prototype.loadNetworkImage = function(t, e, o) {
if (t && "" != t) {
var n = "string" == typeof t ? {
url: t,
type: "png"
} : t;
cc.loader.load(n, function(t, n) {
if (!t && e && e.node) {
e.spriteFrame = new cc.SpriteFrame(n);
o && o(t, n);
}
});
}
};
t.prototype.reset = function(t) {
if (t) for (var e in p) this.releaseResUrl(e);
p = {};
};
return t;
}(), b = function() {
function t() {
this.events = [];
}
t.prototype.on = function(t, e, o) {
this.events.push({
eventName: t,
fun: e,
target: o
});
};
t.prototype.off = function(t, e, o) {
if ("object" == typeof t || "function" == typeof t) return this.removeAllListeners(t);
this.events = this.events.filter(function(n) {
return n.eventName != t || n.fun !== e || n.target != o;
});
};
t.prototype.emit = function(t) {
for (var e = [], o = 1; o < arguments.length; o++) e[o - 1] = arguments[o];
var n = this.events.filter(function(e) {
return e.eventName == t;
});
n.map(function(t) {
t.fun.apply(t.target, e);
});
this.events = this.events.filter(function(e) {
return e.eventName != t || e.eventName == t && !e.isOnce;
});
return n;
};
t.prototype.removeAllListeners = function(t) {
this.events = "object" == typeof t || "function" == typeof t ? this.events.filter(function(e) {
return e.target != t;
}) : this.events.filter(function(e) {
return e.eventName != t;
});
};
t.prototype.once = function(t, e, o) {
this.events.push({
eventName: t,
fun: e,
target: o,
isOnce: !0
});
};
t.prototype.clean = function() {
this.events = [];
};
return t;
}(), m = function() {
function t() {
var t = this;
this._musicOpen = !1;
this._soundOpen = !1;
this._vibrateOpen = !0;
this._musicVolume = 0;
this._soundVolume = 0;
this._lastMusic = 0;
this._arrResSound = {};
this._arrResMusic = {};
this._loadChip = {};
this._lastChip = {};
this.relativePath = {};
this.bundle = null;
this.is204 = null;
var e = cc.sys.localStorage.getItem("musicOpen"), o = cc.sys.localStorage.getItem("soundOpen"), n = cc.sys.localStorage.getItem("musicVolume"), i = cc.sys.localStorage.getItem("soundVolume"), a = cc.sys.localStorage.getItem("vibrateOpen");
this._musicOpen = !e || 1 == e;
this._soundOpen = !o || 1 == o;
this._musicVolume = n || 1;
this._soundVolume = i || 1;
this._vibrateOpen = !a || 1 == a;
"number" != typeof this._musicVolume && (this._musicVolume = 1);
"number" != typeof this._soundVolume && (this._soundVolume = 1);
this._lastMusic = null;
this._arrResSound = {};
this._arrResMusic = {};
this._loadChip = "";
var r = cc.ENGINE_VERSION;
this.is204 = "2.4" == r.substring(0, 3);
if (this.is204) {
this.relativePath = "";
cc.assetManager.loadBundle("audio", function(e, o) {
t.bundle = o;
});
} else this.relativePath = "audio/";
}
Object.defineProperty(t.prototype, "musicVolume", {
get: function() {
return this._musicVolume;
},
set: function(t) {
this._musicVolume = t;
cc.audioEngine.setVolume(this._lastMusic, t);
cc.sys.localStorage.setItem("muiscVolume", t);
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "soundVolume", {
get: function() {
return this._soundVolume;
},
set: function(t) {
this._soundVolume = t;
cc.sys.localStorage.setItem("soundVolume", t);
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "musicOpen", {
get: function() {
return this._musicOpen;
},
set: function(t) {
if (this._musicOpen != t) {
this._musicOpen = t;
cc.sys.localStorage.setItem("musicOpen", t ? "1" : "0");
t ? this.playMusic(this._loadChip) : this.stopMusic();
}
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "soundOpen", {
get: function() {
return this._soundOpen;
},
set: function(t) {
this._soundOpen = t;
cc.sys.localStorage.setItem("soundOpen", t ? "1" : "0");
},
enumerable: !1,
configurable: !0
});
Object.defineProperty(t.prototype, "vibrateOpen", {
get: function() {
return this._vibrateOpen;
},
set: function(t) {
this._vibrateOpen = t;
cc.sys.localStorage.setItem("vibrateOpen", t ? 1 : 0);
},
enumerable: !1,
configurable: !0
});
t.prototype.playMusic = function(t, e, o) {
void 0 === e && (e = null);
void 0 === o && (o = .5);
var n = this.relativePath + t;
this._loadChip = t;
this._lastChip = n;
cc.audioEngine.setMusicVolume(o);
if (this._arrResMusic[n]) {
this.stopMusic();
this.playBackground(this._arrResMusic[n], e);
} else if ("string" == typeof n) {
var i = this;
this.loadAudio(n, function(t) {
if (n == i._lastChip) {
i.stopMusic();
i.playBackground(t, e);
}
i._arrResMusic[n] = t;
});
} else cc.log("oil path");
};
t.prototype.loadAudio = function(t, e) {
this.is204 ? this.bundle.load(t, function(o, n) {
n ? e(n) : console.error("no find audio:", t);
}) : cc.loader.loadRes(t, function(t, o, n) {
o ? cc.warn("audio load fail:", o) : e(n);
}.bind(this, t));
};
t.prototype.playSound = function(t, e, o) {
void 0 === e && (e = null);
void 0 === o && (o = 1);
var n = this.relativePath + t;
if (this._arrResSound[n]) {
var i = this.playEffect(this._arrResSound[n], o);
e && e(i);
} else if ("string" == typeof n) {
var a = this;
this.loadAudio(n, function(t) {
var i = a.playEffect(t, o);
e && e(i);
a._arrResSound[n] = t;
});
} else cc.log("oil path");
};
t.prototype.playNetworkMusic = function(t, e, o) {
var n = this;
void 0 === o && (o = 1);
cc.loader.load({
url: t,
type: "mp3"
}, function(t, i) {
var a = cc.audioEngine.playMusic(i, !0);
cc.audioEngine.setVolume(a, n._soundVolume * o);
e && e(a);
});
};
t.prototype.playNetworkSound = function(t, e, o) {
var n = this;
void 0 === o && (o = 1);
cc.loader.load({
url: t,
type: "mp3"
}, function(t, i) {
var a = cc.audioEngine.playEffect(i, !1);
cc.audioEngine.setVolume(a, n._soundVolume * o);
e && e(a);
});
};
t.prototype.playBackground = function(t, e) {
if (this._musicOpen) {
this._lastMusic = cc.audioEngine.playMusic(t, !0);
e && e(this._lastMusic);
}
};
t.prototype.playEffect = function(t, e) {
if (this._soundOpen) {
var o = cc.audioEngine.playEffect(t, !1);
cc.audioEngine.setVolume(o, this._soundVolume * e);
return o;
}
return -1;
};
t.prototype.stopMusic = function() {
null != this._lastMusic && cc.audioEngine.stopMusic();
this._lastMusic = null;
};
return t;
}(), y = function() {
function t(t) {
this.__className__ = "Platform";
this.name = "web";
this.isWeb = !1;
this.isWechat = !1;
this.isTouTiao = !1;
this.isQuTouTiao = !1;
this.isVivo = !1;
this.isOppo = !1;
this.isQQ = !1;
this.isBaiDu = !1;
this.isKuaiShou = !1;
this.isHuaWei = !1;
this.isAndroid = !1;
this.isIOS = !1;
this.isRecordVoice = !1;
this.config = {};
this.os = "";
this.bannerAD = null;
this.videoAd = null;
this.bannerCfg = {};
this.interstitialAd = null;
this.interstitialCB = null;
this.videoCB = null;
this.videoFailCB = null;
this.lastVideoTime = 0;
this.lastVideoName = "";
this.onVideoError = null;
this.onVideoClose = null;
this.lastInterstitialTime = 0;
this.config = t;
this.isWeb = !0;
this.onVideoError = this._onVideoError.bind(this);
this.onVideoClose = this._onVideoClose.bind(this);
}
t.prototype._initInterstitialAD = function() {
var t = this;
if (this.config.interstitial) {
var e = Object.keys(this.config.interstitial);
if (e.length && Global.api.createInterstitialAd) {
var o = this.getRandomId(this.config.interstitial);
console.log("interstitialAd key:", o);
this.interstitialAd = Global.api.createInterstitialAd({
adUnitId: this.config.interstitial[e[0]]
});
if (this.interstitialAd) {
this.interstitialAd.onClose(function() {
t.interstitialCB && t.interstitialCB();
});
this.interstitialAd.onError(function(e) {
t.interstitialCB && t.interstitialCB(e);
});
}
}
}
};
t.prototype.getRandomId = function(t) {
var e = Object.keys(t);
return e[Math.floor(Math.random() * e.length)];
};
t.prototype.startRecordVoice = function() {};
t.prototype.stopRecordVoice = function() {};
t.prototype.getLaunchData = function() {
return {};
};
t.prototype.getReferrer = function() {
return {};
};
t.prototype.autoLogin = function(t) {
t({
openid: Math.floor(1e6 * Math.random()) + 8999999
});
};
t.prototype.updateVersion = function() {};
t.prototype.getUserInfo = function() {};
t.prototype.destroyLoginButton = function() {};
t.prototype.share = function() {};
t.prototype.vibrateLong = function() {};
t.prototype.vibrateShort = function() {};
t.prototype.reportData = function() {};
t.prototype.showBanner = function() {};
t.prototype.showBannerPos = function() {};
t.prototype.destroyBanner = function() {};
t.prototype._onVideoClose = function(t) {
if (this.videoAd) {
this.videoAd.offError(this.onVideoError);
this.videoAd.offClose(this.onVideoClose);
}
this.videoAd = null;
t.isEnded ? Global.Event.emit(GlobalEvent.API_VIDEO_SUCCESS, this.lastVideoName) : Global.Event.emit(GlobalEvent.API_VIDEO_FAIL, this.lastVideoName);
t.isEnded ? this.videoCB && this.videoCB() : this.videoFailCB ? this.videoFailCB() : Global.Event.emit("UI提示", {
content: "视频未看完不能获得奖励"
});
this.lastVideoTime = Date.now();
Global.Event.emit(GlobalEvent.API_ON_SHOW);
t.isEnded && Statics.addEvent("视频观看成功");
this.lastVideoName = "";
};
t.prototype._onVideoError = function(t) {
if (this.videoAd) {
this.videoAd.offError(this.onVideoError);
this.videoAd.offClose(this.onVideoClose);
}
this.videoAd = null;
console.error("_onVideoError:", t);
Global.Event.emit(GlobalEvent.API_VIDEO_NO_RES, this.lastVideoName);
this.videoFailCB && this.videoFailCB(null);
Global.Event.emit(GlobalEvent.API_ON_SHOW);
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "广告资源不足，请稍后再试:" + t.errCode);
this.lastVideoName = "";
};
t.prototype.showRewardVideo = function(t, e) {
Global.Event.emit(GlobalEvent.API_VIDEO_SUCCESS);
e(!0);
};
t.prototype.showInterstitial = function() {};
t.prototype.startRecord = function() {};
t.prototype.stopRecord = function() {};
t.prototype.createAppBox = function() {};
return t;
}(), E = function(t, e) {
return (E = Object.setPrototypeOf || {
__proto__: []
} instanceof Array && function(t, e) {
t.__proto__ = e;
} || function(t, e) {
for (var o in e) e.hasOwnProperty(o) && (t[o] = e[o]);
})(t, e);
};
function A(t, e) {
E(t, e);
function o() {
this.constructor = t;
}
t.prototype = null === e ? Object.create(e) : (o.prototype = e.prototype, new o());
}
var w, _ = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.__className__ = "PlatformWechat";
o.name = "wechat";
o.isWechat = !0;
o.isWeb = !1;
o.isEnterFromMyApp = !1;
o.luanchData = null;
o.referrerInfo = null;
o.videoCB = null;
o.videoFailCB = null;
o.autoLoginCB = null;
o.isCheckNewVersion = !1;
o.btnLogin = null;
o.bannerCanShow = !1;
o.videoName = "";
o.shareListener = null;
o.isWeb = !1;
var n = window.wx, i = Global.api.getLaunchOptionsSync();
o.luanchData = i.query;
o.referrerInfo = i.referrerInfo || {};
Global.api.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: {}
};
});
Global.api.showShareMenu(null);
Global.api.setKeepScreenOn && Global.api.setKeepScreenOn({
keepScreenOn: !0
});
o._consoleAppIdList();
setTimeout(o._checkNewVersion.bind(o), 1e3);
if (1089 == i.scene) {
Global.Event.emit("enterFromMyApp");
o.isEnterFromMyApp = !0;
} else 1038 == i.scene && Global.Event.emit("backOtherApp", i.referrerInfo);
Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
var e = Global.api.getLaunchOptionsSync();
if (1089 == t.scene) {
Global.Event.emit("enterFromMyApp");
this.isEnterFromMyApp = !0;
} else 1038 == e.scene && Global.Event.emit("backOtherApp", e.referrerInfo);
this.shareListener = null;
this._checkNewVersion();
}.bind(o));
Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
n.getRecorderManager().onStop(function(t) {
o.isRecordVoice = !1;
Global.Log("录音完成", t.tempFilePath);
Global.Event.emit(GlobalEvent.RECORD_VOICE_END, t);
});
return o;
}
e.prototype.getLaunchData = function() {
return this.luanchData;
};
e.prototype.getReferrer = function() {
return this.referrerInfo;
};
e.prototype.autoLogin = function(t) {
var e = this;
Global.api.login({
success: function(o) {
o.gameid = Statics.gameid;
Global.Http.get({
path: "/wxLogin",
route: "",
data: o,
cb: function(o, n) {
if (o) {
console.error("微信登陆失败:", o);
setTimeout(function() {
e.autoLogin(t);
}, 1e3);
} else {
console.log("wxlogin登陆成功:", n);
t(n);
}
}
});
},
fail: function(o) {
console.error("获取code失败:", o);
setTimeout(function() {
e.autoLogin(t);
}, 1e3);
}
});
};
e.prototype._consoleAppIdList = function() {
Global.api.getFileSystemManager().readFile({
filePath: "app-config.json",
encoding: "utf8",
success: function(t) {
var e = JSON.parse(t.data);
Global.Log("navigateToMiniProgramAppIdList:", e.navigateToMiniProgramAppIdList);
},
fail: function(t) {
console.error("navigateToMiniProgramAppIdList:", t);
}
});
};
e.prototype._checkNewVersion = function() {
var t = this;
if (!this.isCheckNewVersion) {
var e = Global.api.getUpdateManager();
e.onCheckForUpdate(function(o) {
if (o.hasUpdate) {
t.isCheckNewVersion = !0;
Global.api.showLoading({
title: "应用更新中"
});
e.onUpdateReady(function() {
Global.api.hideLoading();
e.applyUpdate();
});
}
});
e.onUpdateFailed(function() {
Global.api.showToast({
title: "新版本下载失败"
});
Global.api.hideLoading();
});
}
};
e.prototype.getUserInfo = function(t, e, o, n, i, a) {
Global.Log("getUserInfo:", t, e, o, n);
this.btnLogin && this.btnLogin.destroy();
var r = !0;
Global.api.getSystemInfoSync();
this.btnLogin = Global.api.createUserInfoButton({
type: "image",
image: i,
style: {
left: t,
top: e,
width: o,
height: n
},
withCredentials: !0
});
var s = "";
Global.api.login({
success: function(t) {
s = t.code;
},
fail: function() {}
});
this.btnLogin.onTap(function(t) {
if (t.iv) {
var e = {
code: s,
iv: encodeURIComponent(t.iv),
encryptedData: encodeURIComponent(t.encryptedData),
signature: t.signature
};
r && a(e);
r = !1;
} else {
r && a(t);
r = !1;
}
});
this.btnLogin.show();
};
e.prototype.destroyLoginButton = function() {
this.btnLogin && this.btnLogin.destroy();
this.btnLogin = null;
};
e.prototype.share = function(t) {
var e = {};
if ("number" == typeof t) e = this.config.shareCfg[t]; else if ("object" == typeof t) e = t; else {
t = Math.floor(Math.random() * this.config.shareCfg.length);
e = this.config.shareCfg[t];
}
Global.api.shareAppMessage(e);
};
e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
console.log("showBanner:", t, "->", n);
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
this.bannerCanShow = !0;
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (l.bannerAD) {
l.bannerAD.style.top = i.screenHeight - e.height;
l.bannerAD.style.left = (i.screenWidth - e.width) / 2;
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
} else {
s && s.destroy();
l.bannerAD = null;
}
});
this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
});
this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
};
e.prototype.destroyBanner = function(t) {
void 0 === t && (t = "");
this.bannerCanShow = !1;
Global.Log("destroyBanner:", this.bannerAD, ",scene:", t);
this.bannerAD && this.bannerAD.destroy();
this.bannerAD = null;
this.bannerCfg = null;
};
e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
if (!this.videoAd) {
Global.Event.emit(GlobalEvent.API_VIDEO_GET, t);
this.lastVideoName = t;
var i = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
Global.Log("showBanner:", t, "->", i);
this.videoAd = Global.api.createRewardedVideoAd({
adUnitId: i
});
this.videoAd.load().then(function() {
n.videoAd.show();
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
this.videoAd.onError(this.onVideoError);
this.videoAd.onClose(this.onVideoClose);
}
};
e.prototype.startRecordVoice = function(t) {
void 0 === t && (t = 15e3);
if (!this.isRecordVoice) {
this.isRecordVoice = !0;
Global.api.getRecorderManager().start({
duration: t,
sampleRate: 44100,
encodeBitRate: 64e3,
format: "mp3"
});
}
};
e.prototype.stopRecordVoice = function() {
this.isRecordVoice && Global.api.getRecorderManager().stop();
};
return e;
}(y);
(function(t) {
t["头条"] = "toutiao";
t["抖音"] = "douyin";
t["皮皮虾"] = "ppx";
t["火山"] = "huosha";
t["西瓜"] = "xigua";
t["开发工具"] = "devtools";
})(w || (w = {}));
var G, I = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.__className__ = "PlatformTouTiao";
o.name = "toutiao";
o.isWehcat = !1;
o.isWeb = !1;
o.isTouTiao = !0;
o.Host = w.头条;
o.videoName = "";
o.shareVideoPath = "";
o._startRecordTime = 0;
o.isRecording = !1;
var n = window.tt;
o.recordMgr = n.getGameRecorderManager();
o.recordMgr.onStop(function(t) {
o.isRecording = !1;
if (Date.now() - o._startRecordTime < 5e3) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "录制时间<5秒无效");
Global.Event.emit(GlobalEvent.RECORD_END, !1);
o._startRecordTime = 0;
} else {
o.shareVideoPath = t.videoPath;
Global.Event.emit(GlobalEvent.RECORD_END, !0);
o._startRecordTime = 0;
}
});
n.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: ""
};
});
n.showShareMenu(null);
n.setKeepScreenOn({
keepScreenOn: !0
});
o.Host = Global.api.getSystemInfoSync().appName.toLowerCase();
Global.Log("头条初始化成功,Host:", o.Host);
o._consoleAppIdList();
o.lastInterstitialTime = Date.now();
o._initInterstitialAD();
return o;
}
e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e6 * Math.random()) + 8999999,
platform: "tt"
};
t && t(e);
};
e.prototype._consoleAppIdList = function() {
Global.api.getFileSystemManager().readFile({
filePath: "game.json",
encoding: "utf8",
success: function(t) {
var e = JSON.parse(t.data);
Global.Log("navigateToMiniProgramAppIdList:", e.navigateToMiniProgramAppIdList);
},
fail: function(t) {
console.error("navigateToMiniProgramAppIdList:", t);
}
});
};
e.prototype.share = function(t, e) {
var o = {};
if (t && "number" == typeof t) o = this.config[t]; else if (t && "object" == typeof t) o = t; else {
t = Math.floor(Math.random() * this.config.shareCfg.length);
o = this.config.shareCfg[t];
}
var n = JSON.parse(JSON.stringify(o));
e && (n.success = e);
Global.api.shareAppMessage(n);
};
e.prototype.shareRecordVideo = function() {
window.tt.shareAppMessage({
channel: "video",
title: "视频分享",
desc: "精彩分享",
imageUrl: "",
templateId: "",
query: "",
extra: {
videoPath: this.shareVideoPath,
videoTopics: [],
withVideoId: !0
},
success: function(t) {
Global.Log(t.videoId);
Global.Log("分享视频成功");
},
fail: function() {
Global.Log("分享视频失败");
}
});
};
e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
Global.Log("toutiao showBanner:", t, r);
if (r) {
this.destroyBanner();
var s = window.tt.getSystemInfoSync(), l = o || .17 * s.screenHeight, c = e || s.screenWidth, d = window.tt.createBannerAd({
adUnitId: r,
style: {
left: n,
top: i,
width: c,
height: l
}
});
this.bannerAD = d;
var h = this;
this.bannerAD.onResize(function(e) {
if (h.bannerAD) {
Global.Log("getSystemInfoSync", s.screenWidth, s.screenHeight);
Global.Log("onResize", n, i, c, l, e.width, e.height);
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, d, e);
} else {
d && d.destroy();
h.bannerAD = null;
}
});
this.bannerAD.onError(function(t) {
Global.Log("onError:", t);
a.destroyBanner();
});
this.bannerAD.onLoad(function() {
a.bannerAD.show();
});
}
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
};
e.prototype.destroyBanner = function() {
Global.Log("destroyBanner:", this.bannerAD);
this.bannerAD && this.bannerAD.destroy();
this.bannerAD = null;
};
e.prototype._onVideoClose = function(e) {
t.prototype._onVideoClose.call(this, e);
this.videoCB = null;
this.videoFailCB = null;
};
e.prototype._onVideoError = function(e) {
t.prototype._onVideoError.call(this, e);
this.videoCB = null;
this.videoFailCB = null;
};
e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
this.lastVideoName = t;
var i = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
if (this.videoAd) this.videoAd.load().then(function() {
n.videoAd.show();
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}); else {
Global.Log("showRewardVideo:", t, i);
this.onVideoError = this._onVideoError.bind(this);
this.onVideoClose = this._onVideoClose.bind(this);
this.videoAd = window.tt.createRewardedVideoAd({
adUnitId: i
});
this.videoAd.load().then(function() {
n.videoAd.show();
});
this.videoAd.onError(this.onVideoError);
this.videoAd.onClose(this.onVideoClose);
}
};
e.prototype.startRecord = function(t) {
void 0 === t && (t = 0);
Global.Log("startRecord:", t);
this.recordMgr.start({
duration: t
});
this._startRecordTime = Date.now();
this.isRecording = !0;
};
e.prototype.stopRecord = function() {
Global.Log("stopRecord");
if (this.isRecording) {
this.recordMgr.stop();
this.isRecording = !1;
}
};
e.prototype.showInterstitial = function(t) {
this.interstitialCB = t;
if (this.interstitialAd) {
this.interstitialCB = t;
this.interstitialAd.show().catch(function(e) {
console.error(e);
t && t();
});
} else console.error("未提供广告id");
};
e.prototype.getRecordTime = function() {
return Date.now() - this._startRecordTime;
};
return e;
}(y), C = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.isWechat = !0;
o.isQQ = !1;
o.name = "QQ";
o.appBox = null;
o.isQQ = !0;
o.isWechat = !1;
return o;
}
e.prototype.autoLogin = function(t) {
var e = {
openid: "qq" + Math.floor(1e7 * Math.random()) + 89999999,
platform: "qq"
};
t && t(e);
};
e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
Global.Log("showBanner:", t, "->", n);
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (l.bannerAD) {
l.bannerAD.style.top = i.screenHeight - e.height;
l.bannerAD.style.left = (i.screenWidth - e.width) / 2;
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
} else {
s && s.destroy();
l.bannerAD = null;
}
});
this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
});
this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
};
e.prototype.createAppBox = function(t, e) {
var o = this;
this.appBoxCB = e;
if (this.appBox) this.appBox.show(); else {
if (!t) {
var n = Object.keys(this.config.appBox);
t = n[Math.floor(Math.random() * n.length)];
}
Global.Log("appBoxId", this.config.appBox[t]);
this.appBox = window.qq.createAppBox({
adUnitId: this.config.appBox[t]
});
this.appBox.load().then(function() {
o.appBox.show();
});
this.appBox.onClose(function() {
o.appBoxCB && o.appBoxCB();
});
}
};
e.prototype.showInterstitial = function() {
this.interstitialAd && this.interstitialAd.show();
};
return e;
}(_), O = null, D = (function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.isWeb = !1;
o.isVivo = !1;
o.name = "vivo";
o.videoName = "";
o.nativeAd = null;
o.nativeCache = [];
o.isWeb = !1;
o.isVivo = !0;
O = window.qg;
Global.Log("vivo平台初始化");
Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
});
Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
o._initInterstitialAD();
return o;
}
e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e7 * Math.random()) + 89999999,
platform: "vivo"
};
t && t(e);
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
Global.Audio.vibrateOpen && O.vibrateShort();
};
e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
O.getSystemInfoSync();
if (this.bannerAD) this.bannerAD.show(); else {
this.bannerAD = O.createBannerAd({
posId: r,
style: {
left: n,
top: i,
width: e,
height: o
}
});
this.bannerAD.onSize(function(t) {
if (a.bannerAD) Global.Log(GlobalEvent.API_BANNER_RESIZE, t); else {
a.bannerAD && a.bannerAD.destroy();
a.bannerAD = null;
}
});
this.bannerAD.onError(function(t) {
Global.Log("onError:", t);
});
this.bannerAD.show();
}
};
e.prototype.destroyBanner = function(t) {
void 0 === t && (t = "");
Global.Log("destroyBanner:", this.bannerAD, ",scene:", t);
this.bannerAD && this.bannerAD.destroy();
this.bannerAD = null;
this.bannerCfg = null;
};
e.prototype.showRewardVideo = function(t, e, o) {
this.lastVideoName = t;
if (Date.now() - this.lastVideoTime < 1e4) return Global.Event.emit("UI提示", {
content: "广告资源不足，请稍后再试"
});
var n = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
if (this.videoAd) return this.videoAd.load();
var i = O.createRewardedVideoAd({
posId: n
});
this.videoAd = i;
this.videoAd.onLoad(function() {
setTimeout(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
i.show();
}, 50);
});
i.load();
i.onError(this.onVideoError);
i.onClose(this.onVideoClose);
};
e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
};
e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
Global.Log("showNativeAD:", n, Date.now());
var i = O.createNativeAd({
posId: n
});
i.onLoad(function(t, e) {
Global.Log("原生广告加载完成-onload触发", e);
if (e && e.adList && e.adList.length) {
o.nativeCache = e.adList;
t && o._getNativeAd(t);
}
}.bind(null, e));
i.onError(function(t) {
Global.Log("原生广告加载异常", t);
});
this.nativeAd = i;
}
};
e.prototype.showInterstitial = function(t) {
if (this.interstitialAd) {
this.interstitialCB = t;
this.interstitialAd.show().catch(function(e) {
console.error(e);
t && t();
});
} else console.error("未提供广告id");
};
}(y), null), N = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.isWeb = !1;
o.isOppo = !1;
o.name = "oppo";
o.videoName = "";
o.nativeAd = null;
o.nativeCache = [];
o.isWeb = !1;
o.isOppo = !0;
Global.Log("oppo初始化");
D = window.qg;
o.readVersion();
Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
});
Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
return o;
}
e.prototype.readVersion = function() {
var t = D.getFileSystemManager().readFileSync("manifest-1.json", "utf8");
if (t) {
var e = JSON.parse(t);
D.dataversion = e.versionName;
console.log("qg readVersion:", D.dataversion);
}
};
e.prototype.autoLogin = function(t) {
var e = {
openid: "op" + Math.floor(1e7 * Math.random()) + 89999999,
platform: "oppo"
};
t && t(e);
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
Global.Audio.vibrateOpen && D.vibrateShort();
};
e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this, r = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
var s = D.getSystemInfoSync();
Global.Log("showBannerPos:", n, i, e, o);
if (this.bannerAD) this.bannerAD.show(); else {
this.bannerAD = D.createBannerAd({
adUnitId: r,
style: {
left: n / s.pixelRatio,
top: i / s.pixelRatio,
width: e / s.pixelRatio,
height: o / s.pixelRatio
}
});
this.bannerAD.onResize(function(t) {
if (a.bannerAD) Global.Event.emit("bannershow", t); else {
a.bannerAD && a.bannerAD.destroy();
a.bannerAD = null;
}
});
this.bannerAD.onError(function(t) {
Global.Log("onError:", t);
});
this.bannerAD.show();
}
};
e.prototype.destroyBanner = function(t) {
void 0 === t && (t = "");
Global.Log("destroyBanner:", this.bannerAD, ",scene:", t);
this.bannerAD && this.bannerAD.destroy();
this.bannerAD = null;
this.bannerCfg = null;
};
e.prototype.showRewardVideo = function(t, e, o) {
this.lastVideoName = t;
if (Date.now() - this.lastVideoTime < 1e4) return Global.Event.emit("UI提示", {
content: "广告资源不足，请稍后再试"
});
var n = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
if (this.videoAd) return this.videoAd.load();
var i = D.createRewardedVideoAd({
posId: n
});
this.videoAd = i;
this.videoAd.onLoad(function() {
setTimeout(function() {
i.show();
Global.Event.emit(GlobalEvent.API_ON_HIDE);
}, 50);
});
i.load();
i.onError(this.onVideoError);
i.onClose(this.onVideoClose);
};
e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
};
e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
Global.Log("showNativeAD:", n, Date.now());
var i = D.createNativeAd({
adUnitId: n
});
i.onLoad(function(t, e) {
Global.Log("原生广告加载完成-onload触发", e);
if (e && e.adList && e.adList.length) {
o.nativeCache = e.adList;
t && o._getNativeAd(t);
}
}.bind(null, e));
i.onError(function(t) {
Global.Log("原生广告加载异常", t);
});
this.nativeAd = i;
}
};
return e;
}(y), S = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.name = "baidu";
o.isWechat = !1;
o.isBaiDu = !0;
o.isWeb = !1;
o.isCheckNewVersion = !1;
o.recordMgr = null;
o.isRecording = !1;
o._startRecordTime = 0;
o.shareVideoPath = "";
o.isWeb = !1;
o.isBaiDu = !0;
var n = window.swan;
n.getLaunchOptionsSync();
n.onShareAppMessage(function() {
var t = Math.floor(Math.random() * o.config.shareCfg.length), e = o.config.shareCfg[t];
return {
title: e.title,
imageUrl: e.imageUrl,
imageUrlId: e.imageUrlId,
query: {}
};
});
n.showShareMenu(null);
n.setKeepScreenOn && n.setKeepScreenOn({
keepScreenOn: !0
});
n.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}.bind(o));
n.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
o.recordMgr = n.getVideoRecorderManager();
o.recordMgr.onStop(function(t) {
o.isRecording = !1;
if (Date.now() - o._startRecordTime < 5e3) {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "录制时间<5秒无效");
Global.Event.emit(GlobalEvent.RECORD_END, !1);
o._startRecordTime = 0;
} else {
o.shareVideoPath = t.videoPath;
Global.Event.emit(GlobalEvent.UI_TOOLTIP, "录制时间<5秒无效");
Global.Event.emit(GlobalEvent.RECORD_END, !0);
o._startRecordTime = 0;
}
});
return o;
}
e.prototype._checkNewVersion = function() {
var t = this;
if (!this.isCheckNewVersion) {
var e = Global.api.getUpdateManager();
e.onCheckForUpdate(function(o) {
if (o.hasUpdate) {
t.isCheckNewVersion = !0;
Global.api.showLoading({
title: "应用更新中"
});
e.onUpdateReady(function() {
window.wx.hideLoading();
e.applyUpdate();
});
}
});
e.onUpdateFailed(function() {
Global.api.showToast({
title: "新版本下载失败"
});
Global.api.hideLoading();
});
}
};
e.prototype.showBanner = function(t, e, o) {
var n = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
Global.Log("showBanner:", t, "->", n);
var i = Global.api.getSystemInfoSync(), a = o || .17 * i.screenHeight, r = e || i.screenWidth, s = Global.api.createBannerAd({
adUnitId: n,
appSid: this.config.appid,
style: {
left: 0,
top: 0,
width: r,
height: a
}
});
this.bannerAD = s;
var l = this;
this.bannerAD.onResize(function(e) {
if (l.bannerAD) {
l.bannerAD.style.top = i.screenHeight - e.height;
l.bannerAD.style.left = (i.screenWidth - e.width) / 2;
Global.Event.emit(GlobalEvent.API_BANNER_RESIZE, t, s, e);
} else {
s && s.destroy();
l.bannerAD = null;
}
});
this.bannerAD.onError(function(e) {
Global.Event.emit(GlobalEvent.API_BANNER_ERROR, t, s, e);
});
this.bannerAD.onLoad(function() {
Global.Event.emit(GlobalEvent.API_BANNER_ONLOAD, t, s, {
width: l.bannerAD.style.width,
height: l.bannerAD.style.height
});
});
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
var t = function() {};
Global.Audio.vibrateOpen && Global.api.vibrateShort({
success: t,
fail: t,
complete: t
});
};
e.prototype.showRewardVideo = function(t, e, o) {
var n = this;
this.lastVideoName = t;
var i = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
Global.Log("showRewardVideo:", t, "->", i);
if (!this.onVideoError) {
this.onVideoError = this._onVideoError.bind(this);
this.onVideoClose = this._onVideoClose.bind(this);
}
if (this.videoAd) return this.videoAd.load();
this.videoAd = Global.api.createRewardedVideoAd({
adUnitId: i,
appSid: this.config.appid
});
this.videoAd.onLoad(function() {
n.videoAd.show();
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
this.videoAd.onError(this.onVideoError);
this.videoAd.onClose(this.onVideoClose);
};
e.prototype.startRecord = function(t) {
void 0 === t && (t = 120);
this.recordMgr.start({
duration: t
});
this._startRecordTime = Date.now();
this.isRecording = !0;
};
e.prototype.stopRecord = function() {
this.recordMgr.stop();
};
return e;
}(y), R = function() {
function t() {}
t.API_ON_SHOW = "onShow";
t.API_ON_HIDE = "onHide";
t.API_VIDEO_GET = "videoGet";
t.API_VIDEO_SUCCESS = "videoSuccess";
t.API_VIDEO_FAIL = "videoFail";
t.API_VIDEO_NO_RES = "videoNoRes";
t.API_BANNER_RESIZE = "bannerResize";
t.API_BANNER_ERROR = "bannerError";
t.API_BANNER_ONLOAD = "banneronLoad";
t.RECORD_END = "recordEnd";
t.UI_WINDOW_CHANGE = "ui_event_window_change";
t.UI_PREFAB_NOT_LOADING = "ui_event_not_loading";
t.UI_PREFAB_NOT_PREFAB = "ui_event_not_prefab";
t.UI_TOOLTIP = "tooltip";
t.RECORD_VOICE_END = "recordVideoEnd";
t.ReportEvent = {
OnlineTime: "ot",
OpenVideo: "ov",
VideoSuccess: "vs"
};
return t;
}(), L = "", V = -1, B = "", P = function() {
function t() {}
t.init = function(t, e, o, n) {
L = t;
V = e;
B = o;
this.platform = n;
this.gameid = e;
};
t.register = function(t, e, o, n) {
this.openid = t;
this.version = o;
var i = this;
this.get("", {
openid: t,
channel: e,
platform: this.platform
}, function(t, e) {
console.log("注册结果:", e);
if (e) {
i.flowBases = e.flowBase;
i.flowTeams = e.flowTeam;
i.subscribe = e.subscribe;
i.registerTimeTick = e.registerTimeTick;
Global.Event.emit("updateFlows");
if (e.dictionary) for (var a = 0; a < e.dictionary.length; a++) e.dictionary[a].version == o && (i.dictionary[e.dictionary[a].key] = e.dictionary[a].value || 0);
}
n(t, e);
}, "/client/reg");
};
t.login = function(t, e, o) {
this.openid = t;
this.version = e;
var n = this;
this.get("", {
openid: t,
version: e,
platform: this.platform
}, function(t, i) {
console.log("统计服务器登陆结果:", i);
if (i) {
n.registerTimeTick = i.registerTimeTick;
n.subscribe = i.subscribe;
Global.Event.emit("updateFlows");
if (i.dictionary) for (var a = 0; a < i.dictionary.length; a++) i.dictionary[a].version == e && (n.dictionary[i.dictionary[a].key] = i.dictionary[a].value);
}
o && o(t, i);
});
};
t.reportClick = function(t) {
t.openid = this.openid;
t.platform = this.platform;
this.get("FlowClick", t, function(t, e) {
console.log("reportClick:", e);
});
};
t.reportOpen = function(t) {
t.openid = this.openid;
t.platform = this.platform;
this.get("FlowOpen", t, function(t, e) {
console.log("reportOpen:", e);
});
};
t.addEvent = function(t) {
var e = {
eventName: t
};
this.registerTimeTick && this.get("addEvent", e, function(t, e) {
console.log("addEvent:", e);
});
};
t.userEvent = function(t) {
this.get("userEvent", {
eventName: t
}, function(t, e) {
console.log("userEvent:", e);
});
};
t.requestSubscribeMessage = function() {
var t = this;
this.get("subscribeSuccss", {}, function(e, o) {
t.subscribe = o.subscribe;
});
};
t.saveCacheData = function(t) {
this.get("saveData", {
cacheData: t
}, function(t, e) {
console.log("数据保存结果:", e);
});
};
t.report = function(t, e) {
void 0 === e && (e = null);
this.get("Report", {
key: t,
value: e
}, function(t, e) {
console.log("report:", e);
}, "/client/ajax");
};
t.get = function(t, e, o, n) {
void 0 === n && (n = "/client/ajax");
L || console.error("admin Url is null");
e.secret = B;
e.gameid = V;
e.openid = this.openid;
Global.Http.loginGet({
path: n,
router: t,
data: e,
cb: o,
reconnect: !1,
url: L
});
};
t.dictionary = {};
t.subscribe = !1;
t.openid = "";
t.gameid = 0;
t.version = "";
t.platform = "";
t.flowBases = [];
t.flowTeams = [];
t.registerTimeTick = 0;
return t;
}(), T = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.name = "huawei";
o.isHuaWei = !0;
o.isWeb = !0;
o.videoName = "";
o.nativeAd = null;
o.nativeCache = [];
o.bannerAD = null;
o.videoAd = null;
o.bannerCfg = {};
o.interstitialAd = null;
o.interstitialCB = null;
o.videoCB = null;
o.videoFailCB = null;
o.lastVideoTime = 0;
o.lastVideoName = "";
o.isWeb = !1;
o.isHuaWei = !0;
console.log("华为平台初始化");
Global.api.onShow(function(t) {
Global.Event.emit(GlobalEvent.API_ON_SHOW, t);
}.bind(o));
Global.api.onHide(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
return o;
}
e.prototype.autoLogin = function(t) {
var e = {
openid: Math.floor(1e7 * Math.random()) + 89999999,
platform: "hw"
};
t && t(e);
};
e.prototype.vibrateLong = function() {};
e.prototype.vibrateShort = function() {
Global.api.vibrateShort();
};
e.prototype.showBannerPos = function(t, e, o, n, i) {
var a = this.config.banner[t];
this.bannerCfg = {
adName: t,
wwidth: e,
hheight: o
};
var r = Global.api.getSystemInfoSync(), s = r.safeArea.height - i / cc.winSize.height * r.safeArea.height;
console.log("hua wei showBannerPos:", 0, s, 360, 57);
if (this.bannerAD) this.bannerAD.show(); else {
this.bannerAD = Global.api.createBannerAd({
adUnitId: a,
style: {
left: 0,
top: s,
width: 360,
height: 57
}
});
this.bannerAD.onError(function(t) {
console.log("onError111:", JSON.stringify(t));
});
this.bannerAD.onLoad(function() {
console.log("广告加载完成:", a);
});
this.bannerAD.show();
}
};
e.prototype.destroyBanner = function(t) {
void 0 === t && (t = "");
console.log("destroyBanner:", this.bannerAD, ",scene:", t);
this.bannerAD && this.bannerAD.destroy();
this.bannerAD = null;
this.bannerCfg = null;
};
e.prototype._onVideoClose = function(t) {
var e = this;
setTimeout(function() {
t.isEnded ? e.videoCB && e.videoCB() : e.videoFailCB ? e.videoFailCB() : Global.Event.emit("UI提示", {
content: "视频未看完不能获得奖励"
});
}, 100);
this.lastVideoTime = Date.now();
this.lastVideoName = "";
};
e.prototype._onVideoError = function(t) {
console.log("_onVideoError:", t);
this.videoFailCB && this.videoFailCB(null);
this.lastVideoName = "";
};
e.prototype.showRewardVideo = function(t, e, o) {
if (!this.lastVideoName) {
this.lastVideoName = t;
var n = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
if (!this.onVideoError) {
this.onVideoError = this._onVideoError.bind(this);
this.onVideoClose = this._onVideoClose.bind(this);
}
if (this.videoAd) return this.videoAd.load();
var i = Global.api.createRewardedVideoAd({
adUnitId: n
});
this.videoAd = i;
this.videoAd.onLoad(function() {
setTimeout(function() {
i.show();
}, 50);
});
i.load();
i.onError(this.onVideoError);
i.onClose(this.onVideoClose);
}
};
e.prototype._getNativeAd = function(t) {
t(this.nativeCache.pop());
};
e.prototype.showNativeAD = function(t, e) {
void 0 === e && (e = null);
var o = this;
if (this.nativeAd && this.nativeCache.length > 0) e && this._getNativeAd(e); else {
var n = this.config.native[t];
console.log("showNativeAD:", n, Date.now());
var i = Global.api.createNativeAd({
posId: n
});
i.onLoad(function(t, e) {
console.log("原生广告加载完成-onload触发", e);
if (e && e.adList && e.adList.length) {
o.nativeCache = e.adList;
t && o._getNativeAd(t);
}
}.bind(null, e));
i.onError(function(t) {
console.log("原生广告加载异常", t);
});
this.nativeAd = i;
}
};
return e;
}(y);
(function(t) {
t.DEFAULT = "default";
t["穿山甲"] = "穿山甲";
t["233乐园"] = "233乐园";
t["华为商店"] = "华为商店";
})(G || (G = {}));
var M = function(t) {
A(e, t);
function e(o) {
var n = t.call(this, o) || this;
n.name = "android";
n.isWeb = !1;
n.isAndroid = !0;
n.javaClassName = "org/cocos2dx/javascript/AppActivity";
n.adConfig = null;
n.orginConfig = null;
n.orginConfig = o;
n.setChannel(e.channel);
return n;
}
e.prototype.setChannel = function(t) {
e.channel = t;
this.config = this.orginConfig[e.channel];
this.config || console.error("没有渠道配置:", t);
};
e.prototype.callFromJava = function(t) {
var e = this;
Global.Log("callFromJava:", t);
var o = t.split(",");
cc.director.getScheduler().schedule(function() {
"video" == o[0] ? "0" == o[1] || "1" == o[1] ? e._onVideoClose({
isEnded: "0" == o[1]
}) : e._onVideoError({
errCode: 0
}) : "banner" == o[0] ? "0" == o[1] ? e.bannerAD = o[2] : console.log("banner 显示失败:") : "interstitial" == o[0] && e.interstitialCB && e.interstitialCB();
}, this, .1, 0, 0, !1);
};
e.prototype.showBannerPos = function(t) {
this.config.banner[t];
};
e.prototype.destroyBanner = function() {};
e.prototype.showRewardVideo = function(t, e, o) {
var n = this.config.video[t];
console.log("showRewardVideo:", n);
this.videoCB = e;
this.videoFailCB = o;
jsb.reflection.callStaticMethod(this.javaClassName, "showRewardVideo", "(Ljava/lang/String;)V", n);
};
e.prototype.showInterstitial = function(t) {
this.interstitialCB = t;
var e = this.getRandomId(this.config.interstitial);
jsb.reflection.callStaticMethod(this.javaClassName, "showInterstitial", "(Ljava/lang/String;)V", this.config.interstitial[e]);
};
e.channel = G.DEFAULT;
return e;
}(y), U = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.name = "ios";
o.isWeb = !1;
o.isIOS = !0;
return o;
}
e.prototype.showBannerPos = function(t) {
this.config.banner[t];
};
e.prototype.destroyBanner = function() {};
e.prototype.showRewardVideo = function() {};
return e;
}(y), W = function() {
function t() {}
t.canShow = function(t) {
this.lastShowButton = t;
Global.Platform.isOppo || Global.Platform.isVivo ? Global.api.hasShortcutInstalled({
success: function(e) {
Global.Log("hasShortcutInstalled:", e);
t && (t.active = !e);
},
fail: function() {}
}) : (Global.Platform.isQQ, t.active = !1);
};
t.checkAdd = function(t) {
var e = this, o = function() {
e.lastShowButton && (e.lastShowButton.active = !1);
var o = cc.sys.localStorage.getItem("autoDeskIcon");
cc.sys.localStorage.setItem("autoDeskIcon", "11");
t(!o);
};
if (Global.Platform.isOppo || Global.Platform.isVivo) Global.api.installShortcut({
success: function() {
Global.Log("创建成功");
setTimeout(function() {
Global.api.hasShortcutInstalled({
success: function() {
o();
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加桌面图标成功"
});
},
fail: function() {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
});
}, 10);
},
fail: function() {
Global.Log("installShortcut 自动失败");
Global.api.hasShortcutInstalled({
success: function(t) {
if (t) {
o();
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "已存在桌面图标"
});
}
},
fail: function() {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
});
}
}); else if (Global.Platform.isQQ) if (Global.api.saveAppToDesktop) Global.api.saveAppToDesktop({
success: function() {
o();
},
fail: function(t) {
Global.Log("err:", t);
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "添加失败"
});
}
}); else {
Global.Event.emit(GlobalEvent.UI_TOOLTIP, {
content: "小程序版本太低"
});
t(-1);
}
};
t.lastShowButton = null;
return t;
}(), F = function() {
function t() {}
t.preload = function(t, e) {
void 0 === t && (t = "通用");
void 0 === e && (e = null);
(Global.Platform.isVivo || Global.Platform.isOppo || Global.Platform.isHuaWei) && 0 == this.cache.length && this._showNativeAD(t, e);
};
t._onNativeload = function(e) {
Global.Log("原生广告加载完成-onload触发:", t.evntName, JSON.stringify(e));
if (e && e.adList && e.adList.length) {
t.cache.push({
nativeAd: t.loadnativeAd,
adList: e.adList
});
Global.Event.emit("native_" + t.evntName);
}
t.isPreloading = !1;
};
t._onNativeErr = function(e) {
Global.Log("原生广告加载异常", e);
t.isPreloading = !1;
};
t._showNativeAD = function(e, o) {
Global.Log("_showNativeAD evtName:", o);
if (t.cache.length > 0) {
if (t.cache[0].adList.length) {
Global.Log("原生广告cache");
Global.Event.emit("native_" + o);
return;
}
t.cache.shift();
}
if (!t.isPreloading) {
t.isPreloading = !0;
var n = Global.Platform.config.native[e];
Global.Log("showNativeAD:", n, Date.now());
var i = Global.api.createNativeAd({
posId: n,
adUnitId: n
});
t.evntName = o;
i.offLoad(t._onNativeload);
i.onLoad(t._onNativeload);
t.loadnativeAd = i;
i.offError(t._onNativeErr);
i.onError(t._onNativeErr);
(Global.Platform.isOppo || Global.Platform.isHuaWei) && i.load();
}
};
t.cache = [];
t.nativeRoundIndex = 0;
t.evntName = "";
t.loadnativeAd = "";
t.isPreloading = !1;
return t;
}(), x = function() {
function t(t, e) {
this.name = "";
this.params = {};
this.pool = null;
this.name = t;
this.params = e;
this.pool = new cc.NodePool(t);
}
t.prototype.preload = function(t) {
for (var e = 0; e < t; e++) {
var o = null;
this.params instanceof cc.Prefab || this.params instanceof cc.Node ? o = cc.instantiate(this.params) : this.params instanceof cc.SpriteFrame && ((o = new cc.Node()).addComponent(cc.Sprite).sprite = this.params);
this.pool.put(o);
}
};
t.prototype.get = function() {
this.pool.size() <= 0 && this.preload(1);
return this.pool.get();
};
t.prototype.put = function(t) {
this.pool.put(t);
};
t.prototype.clear = function() {
this.pool.clear();
};
return t;
}(), H = function() {
function t() {
this.names = {};
}
t.prototype.preload = function(t, e, o) {
void 0 === o && (o = 10);
if (this.names[t]) {
this.names[t].params = e;
return this.names[t];
}
var n = new x(t, e);
this.names[t] = n;
n.preload(o);
return n;
};
t.prototype.get = function(t, e) {
if (!this.names[t]) {
cc.error("没有初始化对象池", t);
return null;
}
var o = this.names[t].get();
o instanceof cc.Node == 0 && cc.error("对象池返回的不是cc.Node:" + t);
e && e.addChild(o);
return o;
};
t.prototype.put = function(t, e) {
if (!this.names[t]) {
cc.error("没有初始化对象池", t);
return null;
}
this.names[t].put(e);
};
t.prototype.clean = function(t) {
if (t) this.names[t].clear(); else for (var e in this.names) this.names[e].clear();
};
return t;
}(), k = function(t) {
A(e, t);
function e() {
return null !== t && t.apply(this, arguments) || this;
}
e.prototype.addButtonHandler = function(t, e, o, n) {
if (!t) {
console.warn("null target");
return null;
}
var i = t.name.substring(t.name.indexOf("<") + 1, t.name.indexOf(">")), a = new cc.Component.EventHandler();
a.target = t;
a.component = i;
a.handler = o;
a.customEventData = n;
e.clickEvents.push(a);
return e;
};
e.prototype.readAtlas = function(t) {
var e = (t = t.replace(/\r/g, "")).split("\n"), o = [], n = 0;
function i(t) {
var e = (t = t.replace(/ /g, "")).split(":");
if (e[1].indexOf(",")) {
var o = e[1].split(",");
e.splice(1, 1);
e.push(o[0]);
e.push(o[1]);
}
return e;
}
(function t(a) {
var r = e[a + 1];
if ("undefined" != typeof r) for (var s = a + 6; s < e.length; s += 7) {
if ("" == e[s]) {
n++;
t(s);
return;
}
var l = e[s], c = "true" == i(e[s + 1])[1], d = i(e[s + 2]), h = i(e[s + 3]);
o.push({
txtIdx: n,
name: r.substring(0, r.length - 4),
key: l,
rect: cc.rect(parseInt(d[1]), parseInt(d[2]), parseInt(h[c ? 2 : 1]), parseInt(h[c ? 1 : 2]))
});
}
})(0);
return o;
};
return e;
}(function() {
function t() {}
t.prototype.clamp = function(t, e, o) {
return Math.min(o, Math.max(t, e));
};
t.prototype.isClamp = function(t, e, o) {
return t >= e && t <= o;
};
t.prototype.assign = function(t, e) {
for (var o in e) t[o] = e[o];
return t;
};
t.prototype.getAngle = function(t, e) {
if (t.fuzzyEquals(e, .01)) return 0;
if (t.x == e.x) return e.y > t.y ? Math.PI / 2 : Math.PI;
var o = Math.abs(Math.atan((e.y - t.y) / (e.x - t.x)));
e.x < t.x ? o = e.y > t.y ? Math.PI - o : Math.PI + o : e.y < t.y && (o = 2 * Math.PI - o);
return o;
};
t.prototype.subSectionString = function(t, e) {
for (var o = 0, n = "", i = 0, a = 0; a < t.length; a++) {
var r = t.charCodeAt(a);
r > 127 || 94 == r ? i += 2 : i++;
if (i > e) {
n += t.substring(o, a) + "\n";
i = 0;
o = a;
}
}
return n + t.substring(o, t.length);
};
t.prototype.deepCopy = function(t, e) {
if (null == t || null == t) return null;
e = e || {};
for (var o in t) if (t[o] && "object" == typeof t[o]) {
t[o].constructor === Array ? e[o] = [] : e[o] = {};
this.deepCopy(t[o], e[o]);
} else e[o] = t[o];
return e;
};
t.prototype.stringFormat = function(t) {
for (var e = [], o = 1; o < arguments.length; o++) e[o - 1] = arguments[o];
var n = t;
if (e.length > 0) for (var i = 0; i < e.length; i++) if (null != e[i]) {
var a = new RegExp("({)" + i + "(})", "g");
n = n.replace(a, e[i]);
}
return n;
};
t.prototype.readJson = function(t) {
if ("object" == typeof t) return t.json;
var e = t;
if (!e) {
console.warn("no data:", e);
return null;
}
for (var o = "", n = 0; ;) {
e.substring(0, n + 1);
var i = e.indexOf("//", n), a = e.indexOf("/*", n), r = 0;
if (i >= 0) r = a >= 0 ? Math.min(i, a) : i; else {
if (!(a >= 0)) {
o += e.substring(n);
break;
}
r = a;
}
if (r == i) {
t = e.indexOf("\n", i + 2);
o += e.substring(n, i);
n = t + 2;
} else if (r == a) {
t = e.indexOf("*/", a + 2);
o += e.substring(n, a);
n = t + 2;
}
}
try {
return JSON.parse(o);
} catch (t) {
console.error("json parseerror:", t, o);
return null;
}
};
t.prototype.calcDetailDay = function(t, e) {
var o = new Date(t.getFullYear() + "/" + (t.getMonth() + 1) + "/" + t.getDate()).getTime(), n = new Date(e.getFullYear() + "/" + (e.getMonth() + 1) + "/" + e.getDate()).getTime();
return Math.floor((n - o) / 864e5);
};
t.prototype.getRandom = function(t, e) {
t = Math.ceil(t);
e = Math.floor(e);
return Math.floor(Math.random() * (e - t + 1)) + t;
};
t.prototype.NoToChinese = function(t) {
var e = "";
if (t < 0) {
t = -t;
e = "负";
}
if (!/^\d*(\.\d*)?$/.test("" + t)) {
console.warn("数字错误");
return "数字错误";
}
var o = new Array("零", "一", "二", "三", "四", "五", "六", "七", "八", "九"), n = new Array("", "十", "百", "千", "万", "亿", "点", ""), i = "", a = ("" + t).replace(/(^0*)/g, "").split(".");
t = Math.floor(t);
for (var r = function(t) {
for (var e = t.toString().split("").reverse(), i = "", a = 0; a < e.length; a++) i = (0 == a && 0 == e[a] ? "" : a > 0 && 0 == e[a] && 0 == e[a - 1] ? "" : o[e[a]] + (0 == e[a] ? n[0] : n[a])) + i;
return i;
}, s = a[0].length - 1; s >= 0; s--) {
var l = Math.floor(t / 1e4), c = t % 1e4;
c.toString().length < 4 && (c = "0" + c);
i = l ? r(l) + "万" + r(c) : r(t);
}
"" == i && (i = o[0]);
if (a.length > 1) {
i += n[6];
for (s = 0; s < a[1].length; s++) i += o[a[1].charAt(s)];
}
return e + i;
};
t.prototype.NoToEnglish = function(t, e) {
void 0 === e && (e = 1);
if (t < 1e3) return "" + t;
for (var o = t / 1e3, n = 0; o > 1e3; ) {
o /= 1e3;
if (++n >= 4) break;
}
return o.toFixed(e) + [ "K", "M", "G", "P" ][n];
};
t.prototype.shuffle = function(t) {
for (var e, o = t.length; o; ) {
var n = Math.floor(Math.random() * o--);
e = [ t[o], t[n] ], t[n] = e[0], t[o] = e[1];
}
return t;
};
t.prototype.getWeight = function(t, e) {
void 0 === e && (e = null);
for (var o = 0, n = 0; n < t.length; n++) {
if ("number" != typeof (a = e ? t[n][e] : t[n]) && parseFloat(a) != a) {
console.error("getWeight not is int");
return 0;
}
o += parseFloat(a);
}
var i = Math.random();
for (n = 0; n < t.length; n++) {
var a = e ? t[n][e] : t[n];
if ((i -= parseFloat(a) / o) <= 0) return n;
}
return t.length - 1;
};
t.prototype.toFixed = function(t, e) {
var o = ("" + t).split(".");
if (1 == o.length) return t;
for (var n = Math.min(o[1].length, e), i = o[1].substring(0, n), a = n - 1; a >= 0 && "0" == i[a]; a--) i = i.substring(0, a);
return "" == i ? o[0] : o[0] + "." + i;
};
t.prototype.secondFormat = function(t, e, o) {
void 0 === e && (e = "");
void 0 === o && (o = !0);
var n = Math.floor(t / 3600), i = t - 3600 * n, a = Math.floor(i / 60), r = Math.floor(i) % 60, s = "", l = e.split(":");
(0 == e.length && n > 0 || 3 == l.length) && (s += o ? n >= 10 ? n : "0" + n : n);
if (0 == e.length || 2 == l.length) {
s.length && (s += ":");
s += o ? a >= 10 ? a : "0" + a : a;
}
s.length && (s += ":");
return s + (o ? r >= 10 ? r : "0" + r : r);
};
return t;
}()), j = function(t) {
A(e, t);
function e(e) {
var o = t.call(this, e) || this;
o.isKuaiShou = !0;
o.isWeb = !1;
console.log("快手初始化");
return o;
}
e.prototype.showRewardVideo = function(t, e, o) {
if (!this.videoAd) {
Global.Event.emit(GlobalEvent.API_VIDEO_GET, t);
this.lastVideoName = t;
var n = this.config.video[t];
this.videoCB = e;
this.videoFailCB = o;
Global.Log("showBanner:", t, "->", n);
this.videoAd = Global.api.createRewardedVideoAd({
adUnitId: n
});
this.videoAd.show().then(function() {
Global.Event.emit(GlobalEvent.API_ON_HIDE);
});
this.videoAd.onError(this.onVideoError);
this.videoAd.onClose(this.onVideoClose);
}
};
return e;
}(y), q = function() {
function t() {}
t._init = function(t) {
this.UIMgr = new c();
this.Audio = new m();
this.launchStartTime = Date.now();
if (CC_WECHATGAME) {
this.api = window.wx;
if (window.tt) this.Platform = new I(t.toutiao); else if (window.qq) this.Platform = new C(t.qq); else if (window.ks) {
this.api = window.ks;
this.Platform = new j(t.kuaishou);
} else this.Platform = new _(t.wechat);
} else if (cc.sys.platform == cc.sys.BAIDU_GAME) {
this.api = window.swan;
this.Platform = new S(t.baidu);
} else if (cc.sys.platform === cc.sys.VIVO_GAME) ; else if (cc.sys.platform === cc.sys.OPPO_GAME) {
this.api = window.qg;
this.Platform = new N(t.oppo);
} else if (cc.sys.platform == cc.sys.HUAWEI_GAME) {
this.api = window.hbs;
this.Platform = new T(t.huawei);
} else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
this.api = {};
this.Platform = new M(t.android);
} else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_IOS) {
this.api = {};
this.Platform = new U(t.ios);
} else {
this.api = window;
this.Platform = new y(t.web);
}
cc.view._orientation == cc.macro.ORIENTATION_LANDSCAPE ? this.miniScreen = cc.winSize.width / cc.winSize.height < 1.4 : this.miniScreen = cc.winSize.height / cc.winSize.width < 1.4;
};
t.OpenStatics = function() {
var t = this;
cc.game.on(cc.game.EVENT_SHOW, function() {
t.launchStartTime = Date.now();
});
cc.game.on(cc.game.EVENT_HIDE, function() {
var e = Math.ceil((Date.now() - t.launchStartTime) / 1e3);
e >= 5 && Statics.report("time", "" + e);
});
};
t.Http = new u();
t.Loader = new g();
t.Event = new b();
t.Common = new k();
t.NodePool = new H();
t.Audio = null;
t.UIMgr = null;
t.api = null;
t.Platform = null;
t.Log = console.log;
t.miniScreen = !1;
t.launchStartTime = 0;
return t;
}(), z = q, J = window;
J.Global = z;
J.UIMgr = c;
J.Http = u;
J.Loader = g;
J.TTHost = w;
J.Android_Channel = G;
J.GlobalEvent = R;
J.EventA = b;
J.Statics = P;
J.DeskIcon = W;
J.NativeLoader = F;
t.sdk = q;
Object.defineProperty(t, "__esModule", {
value: !0
});
})({});